uniform mat4	uniViewMatrix;		//	the "view transformation"

in vec3			atrPosition;		//	(x, y, c) where c is the "endcap coordinate" described
									//		at the top of TorusGamesRectangleWithEndcaps.c
in vec2			atrTextureCoordinates;
in vec4			atrTransformationX,	//	the "model transformation"
				atrTransformationY;
in vec4			atrTextureCoordTransform;

out vec2		varTextureCoordinates;

void main()
{
	gl_Position				= uniViewMatrix * vec4(
								dot(atrTransformationX, vec4(atrPosition, 1.0)),
								dot(atrTransformationY, vec4(atrPosition, 1.0)),
								0.0,
								1.0);
	varTextureCoordinates	= atrTextureCoordTransform.xy * atrTextureCoordinates
							+ atrTextureCoordTransform.zw;
}
