// 	TorusGamesKeyboardView.h
//
//	© 2010 by Jeff Weeks
//	See TermsOfUse.txt

#import <UIKit/UIKit.h>

//	The Crossword game will need different layout dimensions
//	to accommodate the keyboard.
#define SCREEN_WIDTH		320.0
#define SCREEN_HEIGHT		480.0
#define TOP_ZONE_NORMAL		 80.0	//	nominal top zone, excluding margin stolen from game azone
#define TOP_ZONE_CROSSWORD	 48.0	//	nominal top zone, excluding margin stolen from game azone
#define TOP_ZONE_MARGIN		 16.0	//	horizontal margin only;  vertical margin is 0
#define MIDDLE_ZONE_MARGIN	 10.0	//	initWithModelData assumes this is even
#define KEYBOARD_MARGIN_H	 10.0
#define	KEYBOARD_WIDTH		(SCREEN_WIDTH - 2*KEYBOARD_MARGIN_H)
#define	KEYBOARD_HEIGHT		(SCREEN_HEIGHT - SCREEN_WIDTH - TOP_ZONE_CROSSWORD)
#define KEYINSET_H			  2.0
#define KEYINSET_V			  2.0

#define MAX_ROWS	 3
#define MAX_COLUMNS	11


@class	TorusGamesMainViewController,
		TorusGamesModelData;


@interface TorusGamesKeyboardView : UIView
{
	TorusGamesMainViewController	*itsController;
	TorusGamesModelData				*itsModelData;
	UIButton						*itsKeys[MAX_ROWS][MAX_COLUMNS];	//	weak references
	bool							itsKoreanKeyboardIsUpshifted;
}

- (id)initWithController:(TorusGamesMainViewController *)aController modelData:(TorusGamesModelData *)someModelData;

- (void)touchUpInCrosswordKey:(id)sender;

@end
