// 	TorusGamesTabPageController.m
//
//	© 2010 by Jeff Weeks
//	See TermsOfUse.txt

#import "TorusGamesTabPageController.h"
#import "TorusGamesTabBarController.h"
#import "TorusGamesPodOSUtilities.h"


@implementation TorusGamesTabPageController

- (id)initWithTag:(TabPageTag)aTabPageTag parent:(TorusGamesTabBarController *)aParent
{
	if ((self = [super initWithStyle:UITableViewStyleGrouped]) != nil)
	{
		itsTabPageTag	= aTabPageTag;
		itsParent		= aParent;

		[self refreshTabBarItem];
	}
	return self;
}

- (void)refreshLanguage
{
	[[self tableView] reloadData];
	[self refreshTabBarItem];
}

- (void)refreshTabBarItem
{
	static char		*theTabBarTitleKeys[NumTabPageTags] =
					{
						"Game",
						"Options",
						"Language",
						"Help"
					};
	static NSString	*theTabBarIconNames[NumTabPageTags] =
					{
						@"Tab Bar Icons/Game.png",
						@"Tab Bar Icons/Options.png",
						@"Tab Bar Icons/Language.png",
						@"Tab Bar Icons/Help.png"
					};

	[self setTabBarItem:[[UITabBarItem alloc]
		initWithTitle:	GetLocalizedTextAsNSString(theTabBarTitleKeys[itsTabPageTag])
		image:			[UIImage imageNamed:theTabBarIconNames[itsTabPageTag]]
		tag:			itsTabPageTag]];
}

- (void)buttonWasPressed
{
	[[self tableView] reloadData];
	[itsParent buttonWasPressedInPage:itsTabPageTag];
}

@end
